/*
    
## ## ## ## ##  ##              ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##  ## ## ## ## ##
##              ##              ##          ##  ##          ##  ##          ##  ## ##       ##  ##                    ##
##              ##              ##          ##  ##          ##  ##          ##  ##  ##      ##  ##                    ##
##    ## ## ##  ##              ##          ##  ## ## ## ##     ##          ##  ##    ##    ##  ## ## ## ## ##        ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##      ##  ##  ##                    ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##        ##    ##                    ##
## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##        ##

/**** SITE SETTINGS ****/
html {
    scroll-behavior: smooth;
    text-rendering: optimizeSpeed;
    shape-rendering: optimizeSpeed;
    image-rendering: auto;
}
body * {
    box-sizing: border-box;
}
body {
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}
svg {
    shape-rendering: auto;
}

/* ACCESSIBILITY SETTINGS */
.skip-link {
    position: absolute;
    top: -5rem;
    left: 1rem;
    z-index: 9999;
}
.skip-link:focus {
    top: 1rem;
}

/* DEFAULT VALUES */ 
.content {
    padding: calc(1rem + 10vh) calc(1rem + 18vw);
    margin: auto;
}
.inner {
    max-width: 1920px;
    margin: auto;
}
.flex {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 3rem;
}
.grid {
    display: grid;
    justify-content: space-between;
}
img {
    width: 100%;
}
a {
    text-decoration: none;
}

/* BUTTON & SELECTION */
.button,
input[type=submit],
button {
    display: inline-block;
    font-size: 1rem;
    font-weight: 200;
    padding: 1rem 2rem;
    border-radius: 1rem;
    height: fit-content;
    width: fit-content;
    cursor: pointer;
    border: none;
    transition: filter .2s ease-in-out;
}
.button:hover,
input[type=submit]:hover,
button:hover {
    filter: brightness(1.25);
}

/* LIST & LIST ITEMS */
li, ul {
    list-style: none;
    display: flex;
    align-items: center;
    gap: 1rem;
}
ul {
    flex-direction: column;
    align-items: baseline;
    padding: 0;
}

/**** SECTION 1: HEADER ****/
header {
    z-index: 10;
    position: relative;
    width: 100%;
}
.bottommenu,
.topmenu {
    padding: 0 calc(1rem + 7.5vw);
    padding-top: 0.75rem;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    position: fixed;
    width: 100%;
}
.bottommenu .inner,
.topmenu .inner {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
}

/* LOGO */
.logo {
    width: 160px;
    height: auto;
}
.logo img {
    width: 100%;
    height: 100%;
}
.footer-logo img {
    width: 200px;
    height: auto;
    margin-top: 4rem;
}

/* NAVIGATION */
nav {
    display: flex;
    gap: 1rem;
}
nav ul {
    display: flex;
    flex-direction: row;
    margin: 0;
}
nav li {
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.topmenu nav li {
    height: 60px;
}
.dropdown li {
    height: fit-content;
}
nav li a {
    padding: 5px;
}
.bottommenu nav.visible {
    visibility: visible;
}
#nav .fa-caret-down {
    font-size: 1rem;
}
#hero .button:hover,
.contact-button .button:hover {
    transform: scale(1.1);
}
#hero .button,
.contact-button .button {
    border-radius: 50px 50px 50px 50px;
    border-width: 2px 2px 2px 2px;
    padding: 12px 24px;
    transform: transform 0.3s ease, background-color 0.3s ease;
    transition: all .2s linear;
}
.bottommenu ul {
    gap: 2rem;
}
.fa-arrow-right {
    font-size: 1rem;
}

/* DROPDOWN MENU */
.dropdown {
    visibility: collapse;
    display: none;
    position: absolute;
    gap: 5px;
    align-items: center;
    top: 100%;
    opacity: 0;
    border-radius: 0px 0px 20px 20px;
}
.dropdown:hover {
    border-radius: 0px 0px 20px 20px;
}
#nav .dropdown {
    gap: .1rem;
}
.dropdown .menuitem a {
    display: block;                
    padding: 13px 30px;     
    border-radius: 0 0 20px 20px;  
    transition: background-color 0.3s ease;
}
.dropdown .menuitem a:hover {
    border-radius: 0 0 20px 20px;
    padding: 13px 30px; 
}
#nav .dropdown .special-one a {
    border-radius: 0;  
    width: 100%;
}
#nav .dropdown .special-one a:hover {
    border-radius: 0;  
    width: 100%;
}
#nav .dropdown a {
    font-size: .8rem;
}
.dropdown.vertical {
    flex-direction: column;
}
.dropdown.horizontal {
    flex-direction: row;
}
.menuitem.horizontal:hover > .dropdown.horizontal,
.menuitem.vertical:hover > .dropdown.vertical {
    display: flex;
    visibility: visible;
    opacity: 1;
}

/* BURGERMENU */
#burgermenu {
    display: none;
    cursor: pointer;
    width: 2rem;
    padding: 0;
    border-radius: 0;
}
#burgermenu .burger {
    position: relative;
    height: 1.5rem;
}
#burgermenu .burger .line {
    width: 2rem;
    height: 4px;
    position: absolute;
    transition: all 200ms;
}
#burgermenu .burger .line:nth-child(1) {
    top: 0;
}
#burgermenu .burger .line:nth-child(2) {
    top: calc(50% - 1px);
}
#burgermenu .burger .line:nth-child(3) {
    top: calc(100% - 2px);
}
#burgermenu[data-open="true"] .burger .line:nth-child(1) {
    top: calc(50% - 1px);
    transform: rotate(45deg);
}
#burgermenu[data-open="true"] .burger .line:nth-child(2) {
    opacity: 0;
}
#burgermenu[data-open="true"] .burger .line:nth-child(3) {
    top: calc(50% - 1px);
    transform: rotate(-45deg);
}
#burgermenu .burger .line {
    transition: top 0.2s 0.2s, transform 0.2s, opacity 0.2s;
}
#burgermenu[data-open="true"] .burger .line {
    transition: top 0.2s, transform 0.2s 0.2s, opacity 0.2s 0.15s;
}
#burgermenu[data-open="true"] .burger .line:nth-child(2) {
    opacity: 0;
}

/**** SECTION 2: MAIN ****/

/* HERO */
#hero {
    position: relative;
    background-image: url('../img/headerbild.jpg'); 
    background-size: cover;      
    background-position: center;  
    background-repeat: no-repeat; 
    min-height: 100vh;        
    overflow: hidden;   
}

#hero .inner {
    min-height: 100vh;          
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;   
    align-items: flex-start;   
    position: relative; 
    z-index: 2;
    background: none;
    padding-left: 30%;           
}
#hero .content {
    position: relative; 
    text-wrap: balance;
    z-index: 2;
    text-align: start;
    color: #fff;
    display: flex;
    flex-direction: column;
    align-items: start; 
}
#hero h1 {
    font-size: calc(1rem + 3vw);
    line-height: 1.2;
    margin: 1rem 0;
    width: 80%;
}
#hero::before {
    content: "";
    position: absolute;
    top:0; left:0; right:0; bottom:0;
    background-color: rgba(0,0,0,0.4);
    z-index: 1;
    min-height: 100vh;
}
.right h2 {
    font-size: calc(1rem + 1vw);
    margin-bottom: 1rem;
}
.teaser,
#about .inner {
    align-items: center;
}
#about .button {
    margin-top: 1rem;
}
#about h2 {
    font-size: 35px;
}
#about p {
    font-size: 1rem;
}

/* SLIDER */
.slider-container {
    width: 100%;
    margin: auto;
    overflow: hidden;
    position: relative;
}
.slides {
    display: flex;
    transition: transform 0.5s ease-in-out;
}
.slide {
    min-width: 100%;
    box-sizing: border-box;
    height: 90vh;
    display: flex;
    justify-content: center;
}
.slide img {
    object-fit: cover;
}
.prev, 
.next {
    cursor: pointer;
    position: absolute;
    z-index: 1;
    top: 40%;
    width: 5rem;
    height: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    user-select: none;
    transition: 0.6s ease;
}
.next {
    right: 0;
}
.left,
.right {
    width: 100%;
}

/* TEASERBOX */
#teaserbox .grid{
    gap: 1rem;
    grid-auto-columns: 1fr;
}
#teaserbox .button {
    padding: 12px 24px;
    font-size: 15px;
    text-align: center;
    transition: all .3s;
    border-radius: 100px;
}
.box {
    grid-row: 1;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 2rem;
    gap: 1rem;
}
#teaserbox .box{
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    border-radius: 15px 15px 15px 15px;
    overflow: hidden;   
    min-height: 300px;
    position: relative;
    padding: 10px;
}
#teaserbox .box p,
#teaserbox .box h3 {
    text-align: center;
    padding: 1rem;
    margin: 0;
}

#teaserbox .innerbox:hover {
    transform: scale(1.2);
}

#teaserbox .innerbox {
    background-size: cover;
    background-position: center;
    transition: 1500ms ease;
}

#teaserbox .box a{
    overflow: hidden;
    display: block;
}
#teaserbox .box > * {
    position: relative;
    z-index: 2;
}
#teaserbox .box-inner{
    transition: 1500ms ease;
}
#teaserbox .box-inner:hover {
  filter: brightness(.6);
  z-index: 1;
}

.all {
    display: flex;
    justify-content: space-between;
    margin: 0 0 1rem 0;
}
.all div {
    display: flex;
    align-items: center;
}
.all a {
    display: flex;
    gap: 1rem;
}
.all span,
.all i {
    font-size: 1.5rem;
}
.all a {
    align-items: center;
    gap: 1rem;
}
.all a:hover i {
    transform: rotate(-35deg);
}

/* CALL TO ACTION */
form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin: 2rem 0 0 0;
}
.form h3 {
    font-size: calc(1rem + 1vw);
    margin: 0;
}
.form h4 {
    font-size: calc(1rem + .5rem);
    margin: 0;
}
.info {
    justify-content: space-between;
    gap: .5rem;
}
.info input {
    width: 100%;
    padding: .5rem 1rem;
    border: none;
    font-size: 1rem;
}
textarea {
    padding: .5rem 1rem;
    font-size: 1rem;
    border: none;
    resize: none;
}
#recaptcha {
    display: flex;
    align-items: center;
    gap: 2rem;
}
.alert {
    display: none;
    padding: 10px 0;
}
.alert i {
    padding-right: 5px;
}
.option {
    gap: 1rem;
    padding: 1rem 0;
    align-items: center;
}
.option .number,
.option .address {
    display: flex;
    align-items: center;
    margin-top: 1rem;
    font-size: 18px;
    gap: 1rem;
}
.buttons {
    gap: 1rem;
}

/* TEASER */
.teaser {
    gap: 2rem;
    padding: 2rem;
    margin: 5rem 0;
}
.teaser div:nth-of-type(1) {
    grid-column: 1;
}
.teaser div:nth-of-type(2) {
    grid-column: 2;
}
.teaser div:nth-of-type(3) {
    grid-column: 3;
}
.teaser i{
    font-size: 2rem;
    height: 5rem;
    width: 5rem;
    border-radius: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
.teaser h3 {
    font-size: calc(1rem + .5vw);
    margin: .5rem 0;
}
.teaser p {
    margin: 0;
}
li i {
    font-size: 5px;
}
a i {
    font-size: 2rem;
}
#linkblock {
    min-width: 30%;
    flex-direction: column;
    gap: 0;
}
#linkblock li::before {
    content: "•";
}
#linkblock #more::before {
    content: none;
}
#selection {
    display: flex;
    align-items: center;
    width: fit-content;
    cursor: pointer;
    gap: 1rem;
    padding: 0;
    border-radius: 0;
}
#selection span {
    display: flex;
    align-items: center;
    cursor: pointer;
    height: 2rem;
}
#selection label {
    cursor: pointer;
}
#more {
    visibility: collapse;
    opacity: 0;
}

/**** SECTION 3: FOOTER ****/

/* TOPFOOTER */
#topfooter {
    box-shadow: 0px -10px 10px 0px rgba(0, 0, 0, 0.18);
    padding: calc(1rem + 10vh) calc(1rem + 16vw);
    margin: auto;
    padding-top: 3.9rem;
    padding-bottom: 7rem;
}
#topfooter nav {
    display: flex;
    flex-direction: row;
}
#topfooter nav ul {
    flex-direction: row;
    align-items: flex-start;
    gap: .5rem;
}
#topfooter .fa-instagram,
#topfooter .fa-linkedin {
    padding: 12px 14px;
    border-radius: 2rem;
    font-size: 1.5rem;
    border-radius: 50%;
    transition: all .2s linear;
}
#topfooter .fa-linkedin:hover,
#topfooter .fa-instagram:hover,
#topfooter .fa-facebook-f:hover {
    transform: scale(1.1);
    opacity: 0.9;
}
#topfooter .fa-facebook-f {
    padding: 12px 17px;
    border-radius: 2rem;
    font-size: 1.5rem;
    transition: all .2s linear;
}
#topfooter nav li {
    height: fit-content;
}
#topfooter nav a {
    padding: 0;
}
#topfooter h3 {
    margin: 0 0 .3rem;
    padding-bottom: 1rem;
}
#topfooter p {
    margin: 0;
    padding-bottom: .5rem;
}
#topfooter .grid {
    justify-content: inherit;
}
#topfooter .fa-phone,
#topfooter .fa-envelope {
    font-size: 1.2rem;
    padding-right: 1rem;
}
#topfooter .footer-icons {
    padding-top: 1.3rem;
}

/* BOTTOMFOOTER */
#bottomfooter {
    text-align: center;
    padding-top: 2rem;
    padding-bottom: 1rem;
}

/* COOKIE POPUP */
#popup {
    position: fixed;
    margin: 2rem;
    bottom: 0;
    right: 0;
    z-index: 4;
    padding: 1rem 2rem;
    max-width: 25rem;
    border-radius: 2rem;
}
#popup h3 {
    display: flex;
    align-items: center;
    gap: 10px;
}
.select {
    gap: 1rem;
    justify-content: space-between;
    margin-top: 2rem;
}
.select button {
    width: 100%;
}
#accept,
#decline {
    font-size: 14px;
}